// To be used with an external Signal Generator.
// v16.05.2024.0932
#include <SoftwareSerial.h>
#include <OneWire.h>
#include <DallasTemperature.h>

#define ONE_WIRE_BUS 7

OneWire oneWire(ONE_WIRE_BUS);
DallasTemperature clt1(&oneWire);

float cltTemp = 0;

//const byte rxPin = 2;
//const byte txPin = 3;

//SoftwareSerial secondSerial (rxPin, txPin);

void setup() {
  // put your setup code here, to run once:
Serial.begin(9600);
//secondSerial.begin(9600);
clt1.begin();
//delay(500);
//secondSerial.print("F20.0"); //Sets module to 20kHz
//delay(20);
//secondSerial.print("D000"); //Sets module to 0% Duty Cycle
}

void loop() {
  // put your main code here, to run repeatedly:
  float cltTemp = 79;
  if (cltTemp >= 92) {
    Serial.println("Max");
  } else if (cltTemp >= 87 && cltTemp < 95) {
    Serial.println("Fifty");
  } else if (cltTemp >= 80 && cltTemp < 87) {
    Serial.println("TwentyFive");
  } else if (cltTemp < 80) {
    Serial.println("Zero");
  } else {
    Serial.println("Failsafe, 80 percent");
  }
  
  delay(1000);
}